net.minecraft.world

## Interface IBlockAccess

- All Known Implementing Classes:
    ChunkCache, DemoWorldServer, World, WorldClient, WorldServer, WorldServerMulti

      public interface IBlockAccess

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `extendedLevelsInChunkCache()`
    `BiomeGenBase` | `getBiomeGenForCoords(int var1, int var2)`
    `Block` | `getBlock(int var1, int var2, int var3)`
    `int` | `getBlockMetadata(int var1, int var2, int var3)`
    `int` | `getHeight()`
    `int` | `getLightBrightnessForSkyBlocks(int var1, int var2, int var3, int var4)`
    `TileEntity` | `getTileEntity(int var1, int var2, int var3)`
    `Vec3Pool` | `getWorldVec3Pool()` Deprecated.
    `boolean` | `isAirBlock(int var1, int var2, int var3)`
    `int` | `isBlockProvidingPowerTo(int var1, int var2, int var3, int var4)`
    `boolean` | `isSideSolid(int x, int y, int z, ForgeDirection side, boolean _default)` FORGE: isSideSolid, pulled up from `World`

- - ### Method Detail

    - #### getBlock

          Block getBlock(int var1,
                       int var2,
                       int var3)

    - #### getTileEntity

          TileEntity getTileEntity(int var1,
                                 int var2,
                                 int var3)

    - #### getLightBrightnessForSkyBlocks

          int getLightBrightnessForSkyBlocks(int var1,
                                           int var2,
                                           int var3,
                                           int var4)

    - #### getBlockMetadata

          int getBlockMetadata(int var1,
                             int var2,
                             int var3)

    - #### isAirBlock

          boolean isAirBlock(int var1,
                           int var2,
                           int var3)

    - #### getBiomeGenForCoords

          BiomeGenBase getBiomeGenForCoords(int var1,
                                          int var2)

    - #### getHeight

          int getHeight()

    - #### extendedLevelsInChunkCache

          boolean extendedLevelsInChunkCache()

    - #### getWorldVec3Pool

          @Deprecated
          Vec3Pool getWorldVec3Pool()

      Deprecated.

    - #### isBlockProvidingPowerTo

          int isBlockProvidingPowerTo(int var1,
                                    int var2,
                                    int var3,
                                    int var4)

    - #### isSideSolid

          boolean isSideSolid(int x,
                            int y,
                            int z,
                            ForgeDirection side,
                            boolean _default)

      FORGE: isSideSolid, pulled up from `World`
      Parameters:
        `x` - X coord
        `y` - Y coord
        `z` - Z coord
        `side` - Side
        `_default` - default return value
      Returns:
        if the block is solid on the side